Module java.corba
Package org.omg.CORBA

## Interface PolicyOperations

All Known Subinterfaces:
  IdAssignmentPolicy, IdAssignmentPolicyOperations, IdUniquenessPolicy, IdUniquenessPolicyOperations, ImplicitActivationPolicy, ImplicitActivationPolicyOperations, LifespanPolicy, LifespanPolicyOperations, Policy, RequestProcessingPolicy, RequestProcessingPolicyOperations, ServantRetentionPolicy, ServantRetentionPolicyOperations, ThreadPolicy, ThreadPolicyOperations

All Known Implementing Classes:
  _PolicyStub

    public interface PolicyOperations

Provides the operations for a `Policy` object.

### Method Summary

All Methods Instance Methods Abstract Methods
`Policy` `copy()` Returns a copy of the `Policy` object.
`void` `destroy()` Destroys the `Policy` object.
`int` `policy_type()` Returns the constant value that corresponds to the type of the policy object.

### Method Detail

#### policy_type

    int policy_type()

Returns the constant value that corresponds to the type of the policy object. The values of the policy objects are allocated by the OMG. New values for PolicyType should be obtained from the OMG by sending mail to request@omg.org. In general the constant values that are allocated are defined in conjunction with the definition of the corresponding policy object.

Returns:
  the constant value that corresponds to the type of the policy object

#### copy

    Policy copy()

Returns a copy of the `Policy` object. The copy does not retain any relationships that the policy had with any domain or object.

Returns:
  a copy of the `Policy` object

#### destroy

    void destroy()

Destroys the `Policy` object. It is the responsibility of the `Policy` object to determine whether it can be destroyed.